<template>
  <div>
    <div class="row sm">
      <MovieAvatar v-for="movie in movies" :key="movie.id" :movie="movie" :idMovie='`${movie.id}`'>
      </MovieAvatar>
    </div>
    <div class="text-center mb-4 mt-4">
      <v-btn @click="getMoviesTop()"> Load More </v-btn>
    </div>
  </div>
</template>

<script>
import api from '../services/api.service.js'
import Movie from '@/models/Movie'
import MovieAvatar from '@/components/MovieAvatar'

export default {

  data () {
    return {
      cum: 0,
      movies: []
    }
  },
  components: {
    MovieAvatar
  },

  mounted () {
    this.getMoviesTop()
  },
  methods: {
    async getMoviesTop () {
      this.cum += 1
      const movies = await api.getTopRated(this.cum)
      await movies.data.results.map((muvi) =>
        this.getMovie(muvi.id).then((response) => {
          this.movies.push(response)
        })
      )
    },
    async getMovie (id) {
      const { data } = await api.getMovie(id)
      return new Movie(data)
    }
  }
}
</script>
